package com.xy.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 设备计费表
 * </p>
 *
 * @author lijin
 * @since 2023-04-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "DeviceCharging对象", description = "设备计费表")
public class DeviceCharging implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId
    @ApiModelProperty(value = "设备id")
    private Long deviceId;

    @ApiModelProperty(value = "累计续费金额")
    private Integer chargingSumMoney;

    @ApiModelProperty(value = "管理费剩余天数,权重最高")
    private Integer chargingX;

    @ApiModelProperty(value = "过期时间")
    private LocalDateTime timeout;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "是否需要定时计费")
    private Boolean isJob;
}
