package com.xy.dto;

import com.xy.utils.PageBean;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;

/**
 * <p>
 * 设备计费历史表
 * </p>
 *
 * @author lijin
 * @since 2023-04-14
 */
public class DeviceChargingHistoryDto {

    @Data
    @Accessors(chain = true)
    public static class Vo {

        @ApiModelProperty(value = "id")
        private Long id;

        @ApiModelProperty(value = "订单id")
        private String orderId;

        @ApiModelProperty(value = "设备id")
        private Long deviceId;

        @ApiModelProperty(value = "续费金额")
        private Integer chargingMoney;

        @ApiModelProperty(value = "续费数量")
        private Integer chargingSize;

        @ApiModelProperty(value = "续费方式")
        private Integer chargingType;

        @ApiModelProperty(value = "计费标准 单位：分/年")
        private Integer standard;

        @ApiModelProperty(value = "状态")
        private Integer status;

        @ApiModelProperty(value = "创建时间")
        private LocalDateTime createTime;

        @ApiModelProperty(value = "更新时间")
        private LocalDateTime updateTime;

    }

    @Data
    @Accessors(chain = true)
    public static class Page {

        @ApiModelProperty("分页对象")
        private PageBean page;

        @NotNull(message = "deviceId不能为空")
        @ApiModelProperty("设备id")
        private Long deviceId;
    }

    @Data
    @Accessors(chain = true)
    public static class PageVo extends Vo {

        @ApiModelProperty(value = "设备信息")
        private DeviceInfoDto.Vo deviceInfo;
    }
}
